Get the API Guardian configuration and endpoints.
curl --request GET \
--url https://api.bunny.net/shield/shield-zone/{shieldZoneId}/api-guardian{
"error": {
"success": true,
"message": "<string>",
"errorKey": "<string>"
},
"data": {
"configuration": {
"shieldZoneId": 123,
"isEnabled": true,
"title": "<string>",
"version": "<string>",
"maxEndpoints": 123,
"maxFieldsPerType": 123,
"maxNestingDepth": 123,
"maxTotalSchemaNodes": 123,
"maxTotalRegexLength": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"endpoints": [
{
"apiGuardianEndpointId": 123,
"shieldZoneId": 123,
"requestMethod": "<string>",
"requestPath": "<string>",
"validateRequestBodySchema": true,
"validateResponseBodySchema": true,
"validateAuthorization": true,
"isEnabled": true,
"authSchemes": [
{
"schemeName": "<string>",
"credentialName": "<string>",
"httpScheme": "<string>"
}
],
"requestBodySchemaYaml": "<string>",
"responseBodySchemasYaml": {},
"availableParameters": {
"Path": [
"<string>"
],
"Query": [
"<string>"
],
"Header": [
"<string>"
],
"Cookie": [
"<string>"
]
},
"injectionDetectionParameters": {
"Path": [
"<string>"
],
"Query": [
"<string>"
],
"Header": [
"<string>"
],
"Cookie": [
"<string>"
]
},
"detectParameterXss": true,
"detectParameterSqli": true,
"rateLimitingEnabled": true,
"rateLimitingRequestCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
}API Guardian
Get the API Guardian configuration and endpoints.
GET
/
shield
/
shield-zone
/
{shieldZoneId}
/
api-guardian
Get the API Guardian configuration and endpoints.
curl --request GET \
--url https://api.bunny.net/shield/shield-zone/{shieldZoneId}/api-guardian{
"error": {
"success": true,
"message": "<string>",
"errorKey": "<string>"
},
"data": {
"configuration": {
"shieldZoneId": 123,
"isEnabled": true,
"title": "<string>",
"version": "<string>",
"maxEndpoints": 123,
"maxFieldsPerType": 123,
"maxNestingDepth": 123,
"maxTotalSchemaNodes": 123,
"maxTotalRegexLength": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"endpoints": [
{
"apiGuardianEndpointId": 123,
"shieldZoneId": 123,
"requestMethod": "<string>",
"requestPath": "<string>",
"validateRequestBodySchema": true,
"validateResponseBodySchema": true,
"validateAuthorization": true,
"isEnabled": true,
"authSchemes": [
{
"schemeName": "<string>",
"credentialName": "<string>",
"httpScheme": "<string>"
}
],
"requestBodySchemaYaml": "<string>",
"responseBodySchemasYaml": {},
"availableParameters": {
"Path": [
"<string>"
],
"Query": [
"<string>"
],
"Header": [
"<string>"
],
"Cookie": [
"<string>"
]
},
"injectionDetectionParameters": {
"Path": [
"<string>"
],
"Query": [
"<string>"
],
"Header": [
"<string>"
],
"Cookie": [
"<string>"
]
},
"detectParameterXss": true,
"detectParameterSqli": true,
"rateLimitingEnabled": true,
"rateLimitingRequestCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
}Path Parameters
Was this page helpful?
Get all Access Lists API enumeration types and their valuesUpdate the API Guardian configuration (enabled, execution mode, body limit action)
⌘I